Update property
https://api.propexo.com/v1/properties/:idUpdate a property for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
The Propexo unique identifier for the property
The abbreviation of the property. Example: PROP1
The name associated with the property
The first address line associated with the property
The second address line associated with the property
The zip code associated with the property
The city associated with the property
The county associated with the property
The state associated with the property
The country associated with the property
The website URL associated with the property
The size of the property in square feet
Whether the property is active
Notes associated with the property
The year the property was built
The category of the property. This is from a limited set of data that the PMS requires.
Show 2 enum values
ResidentialCommercialThe type of the property. This is from a limited set of data that the PMS requires.
Show 11 enum values
ApartmentCondoCommercialDu/FourplexHouseSection 8/AffordableSeniorShort-term/vacationStudentTownhouseOtherA short description of the property
The name of the property manager
The email address of the property manager
The square footage of the property
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/properties/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}